vpSetVolumeSize(3)

NAME
vpSetVolumeSize - define the dimensions of a volume

SYNOPSIS
#include <volpack.h>

vpSetVolumeSize(vpc, xlen, ylen, zlen) vpContext *vpc; int xlen, ylen, zlen;

ARGUMENTS

vpc VolPack context from vpCreateContext.

xlen
    Size of first dimension of the volume in voxels.

ylen
    Size of the second dimension of the volume in voxels.

zlen
    Size of the third dimension of the volume in voxels.

DESCRIPTION
vpSetVolumeSize is used to define the dimensions of a volume. It must be called before volume data is loaded into a rendering context. Any existing precomputed volume data structures in the context are destroyed.

STATE VARIABLES
The current volume dimensions may be retrieved with the following state variable codes (see vpGeti(3)): VP_XLEN, VP_YLEN, VP_ZLEN.

ERRORS
The return value is always VP_OK.

SEE ALSO
VolPack(3), vpCreateContext(3)